Subject: Re: [e1000 debug] KERNEL: assertion (!sk_forward_alloc) failed...

From: Ingo Oeser <[email-masked]>
Date: Fri, 31 Mar 2006 10:57:06 +0200

Hi Jesse,

More datapoints.

First of all, I don't see the problem, so this is an exclusion data point.

Machine is up 1 day, 19:02

I use 2.6.16 and I'm NBOT running at Gigabit speed.
(just couldn't get e100 cards anymore, they are not sold anymore here)

Version: vendor 00:aa:00, model 56 rev 0

Services: I'm routing, run IPsec, do firewalling/nat with iptables, do PPPoE
	on this machine but all not on that interface. 

The card is exposed to the local LAN interface.

[4294671.426000] e1000: eth0: e1000_probe: Intel(R) PRO/1000 Network Connection
[4294671.447000] e100: eth1: e100_probe: addr 0xe3140000, irq 10, MAC addr 00:D0:B7:XX:XX:XX
[4294671.447000] eth2: VIA Rhine II at 0xe3142000, 00:0f:ea:XX:XX:XX, IRQ 11.
[4294671.448000] eth2: MII PHY found at address 1, status 0x786d advertising 05e1 Link 41e1.
[4294671.448000] forcedeth.c: Reverse Engineered nForce ethernet driver. Version 0.49.
[4294679.125000] e1000: eth0: e1000_watchdog_task: NIC Link is Up 100 Mbps Full Duplex
[4294679.165000] e100: eth1: e100_watchdog: link up, 10Mbps, half-duplex
[4294679.201000] eth2: link up, 100Mbps, full-duplex, lpa 0x41E1

lspci with info for this card.

0000:00:0c.0 Ethernet controller: Intel Corp. 82541GI/PI Gigabit Ethernet Controller
        Subsystem: Intel Corp. PRO/1000 MT Desktop Adapter
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
        Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 32 (63750ns min), Cache Line Size: 0x08 (32 bytes)
        Interrupt: pin A routed to IRQ 11
        Region 0: Memory at e3100000 (32-bit, non-prefetchable) [size=128K]
        Region 1: Memory at e3120000 (32-bit, non-prefetchable) [size=128K]
        Region 2: I/O ports at d400 [size=64]
        Expansion ROM at 20100000 [disabled] [size=128K]
        Capabilities: [dc] Power Management version 2
                Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
                Status: D0 PME-Enable- DSel=0 DScale=1 PME-
        Capabilities: [e4] PCI-X non-bridge device.
                Command: DPERE- ERO+ RBC=0 OST=0
                Status: Bus=0 Dev=0 Func=0 64bit- 133MHz- SCD- USC-, DC=simple, DMMRBC=2, DMOST=0, DMCRS=0, RSCEM-
        Capabilities: [f0] Message Signalled Interrupts: 64bit+ Queue=0/0 Enable-
                Address: 0000000000000000  Data: 0000

ip -s -s link dev eth0
1: eth0: <BROADCAST,MULTICAST,UP> mtu 1500 qdisc pfifo_fast qlen 1000
    link/ether 00:0e:0c:XX:XX:XX brd ff:ff:ff:ff:ff:ff
    RX: bytes  packets  errors  dropped overrun mcast
    648259157  1081155  0       0       0       115
    RX errors: length  crc     frame   fifo    missed
               0        0       0       0       0
    TX: bytes  packets  errors  dropped carrier collsns
    393218241  933436   0       0       0       0
    TX errors: aborted fifo    window  heartbeat
               0        0       0       0

My config is attached, more data on request.
I can play with parameters, but cannot test patches.

Regards

Ingo Oeser